class LinuxHeadersAT515 < Formula
  desc "Header files of the Linux kernel"
  homepage "https://kernel.org/"
  url "https://cdn.kernel.org/pub/linux/kernel/v5.x/linux-5.15.179.tar.gz"
  sha256 "66a94f70d9bf3bb91f69330c76d77efbf37e51cb4d5cafe67fbb4971cc17ec33"
  license "GPL-2.0-only"

  livecheck do
    url :homepage
    regex(/href=.*?linux[._-]v?(5\.15(?:\.\d+)*)\.t/i)
  end

  bottle do
    sha256 cellar: :any_skip_relocation, arm64_linux:  "d65024f125ec06a26cfae69ae78bf9ea00bc74c4b16f444339a1281b5c5b4b6d"
    sha256 cellar: :any_skip_relocation, x86_64_linux: "e1cc4ad7bccf4c70a5cd24a4dc480ede5d9ce5e1c7b0058e46f2c186266ec3db"
  end

  depends_on :linux

  def install
    system "make", "headers"

    cd "usr/include" do
      Pathname.glob("**/*.h").each do |header|
        (include/header.dirname).install header
      end
    end
  end

  test do
    assert_match "KERNEL_VERSION", (include/"linux/version.h").read
  end
end
