class Qcachegrind < Formula
  desc "Visualize data generated by Cachegrind and Calltree"
  homepage "https://apps.kde.org/kcachegrind/"
  url "https://download.kde.org/stable/release-service/24.12.3/src/kcachegrind-24.12.3.tar.xz"
  sha256 "f5d86431daf379d681bbfe8f97f6743e13809db3753831c58311c809b3196ac9"
  license "GPL-2.0-or-later"
  head "https://invent.kde.org/sdk/kcachegrind.git", branch: "master"

  # We don't match versions like 19.07.80 or 19.07.90 where the patch number
  # is 80+ (beta) or 90+ (RC), as these aren't stable releases.
  livecheck do
    url "https://download.kde.org/stable/release-service/"
    regex(%r{href=.*?v?(\d+\.\d+\.(?:(?![89]\d)\d+)(?:\.\d+)*)/?["' >]}i)
  end

  bottle do
    sha256 cellar: :any,                 arm64_sonoma:  "8c65b199d3149f0a516252dd0452d7b21ebb0885c577262923dd940a6d836a4a"
    sha256 cellar: :any,                 arm64_ventura: "3cf92c85ee757803735b4efab822752066768ebb15ecdeb6ff13ad8d59a78e9a"
    sha256 cellar: :any,                 sonoma:        "cfca3cdddc8f30dae1b21b7eacdeb4876f9a0a74c38dae45776509fad8abf834"
    sha256 cellar: :any,                 ventura:       "44630edd5d53a976fcdd5d552ad69c316e39479d2329cdc10a20dcd6174d747a"
    sha256 cellar: :any_skip_relocation, x86_64_linux:  "dfab84436990c98497e8c20212eee89be5c727e9b0e9b24a9bfc6e898ff3131e"
  end

  depends_on "graphviz"
  depends_on "qt"

  def install
    args = %w[-config release]
    if OS.mac?
      spec = (ENV.compiler == :clang) ? "macx-clang" : "macx-g++"
      args += %W[-spec #{spec}]
    end

    qt = Formula["qt"]
    system qt.opt_bin/"qmake", *args
    system "make"

    if OS.mac?
      prefix.install "qcachegrind/qcachegrind.app"
      bin.install_symlink prefix/"qcachegrind.app/Contents/MacOS/qcachegrind"
    else
      bin.install "qcachegrind/qcachegrind"
    end
  end
end
