class Exploitdb < Formula
  desc "Database of public exploits and corresponding vulnerable software"
  homepage "https://www.exploit-db.com/"
  url "https://gitlab.com/exploit-database/exploitdb.git",
      tag:      "2025-04-06",
      revision: "2bd993a7c39d3f32d24c2f52d42bcb09b5d28382"
  license "GPL-2.0-or-later"
  head "https://gitlab.com/exploit-database/exploitdb.git", branch: "main"

  bottle do
    sha256 cellar: :any_skip_relocation, arm64_sequoia: "6ff8dc5621cabbed3bbba1627b42a21301417c5d1af3859c217d1615dcc0c866"
    sha256 cellar: :any_skip_relocation, arm64_sonoma:  "877855bb842e43961ff0ed37ae7d4e62773617e7ca0ba62b952f3171d0aebaf3"
    sha256 cellar: :any_skip_relocation, arm64_ventura: "7cafa90d60730982d9be18cf9e23efe605faee12269a587ed0d919a9771e6462"
    sha256 cellar: :any_skip_relocation, sonoma:        "4020d15c76d12c9ae6ca5aa28619bc8cd56d69c2a71de55e6e8e0a2795db8418"
    sha256 cellar: :any_skip_relocation, ventura:       "eb16ed61acd6b4dc328d6c6eaa8b2b6a604ac48ce2b40a21c0a138b26bea51ca"
    sha256 cellar: :any_skip_relocation, arm64_linux:   "3c28f8c9c6636a6743096b1a1840450f04c041c58507d21c1607e7a4ff70754d"
    sha256 cellar: :any_skip_relocation, x86_64_linux:  "5595dc727d6ab73aab7af97d436c2d5b2ea0fc7a23333d50f3ade530d70a987a"
  end

  def install
    inreplace "searchsploit",
              "rc_file=\"\"", "rc_file=\"#{etc}/searchsploit_rc\""

    optpath = opt_share/"exploitdb"
    inreplace ".searchsploit_rc" do |s|
      s.gsub! "\"/opt/exploitdb\"", optpath
      s.gsub! "\"/opt/exploitdb-papers\"", "#{optpath}-papers"
    end

    bin.install "searchsploit"
    etc.install ".searchsploit_rc" => "searchsploit_rc"

    pkgshare.install %w[.git exploits files_exploits.csv files_shellcodes.csv
                        shellcodes]
  end

  test do
    system bin/"searchsploit", "sendpage"
  end
end
